Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.jpa.map
Class JpaSequenceGenerator

    java.lang.Object
      org.apache.cayenne.jpa.map.JpaSequenceGenerator

All Implemented Interfaces:
  XMLSerializable

    public class JpaSequenceGenerator

extends Object
implements XMLSerializable

Field Summary
`protected int` | `allocationSize`
`protected int` | `initialValue`
`protected String` | `name`
`protected String` | `sequenceName`

Constructor Summary
`JpaSequenceGenerator()`
`JpaSequenceGenerator(javax.persistence.SequenceGenerator annotation)`

Method Summary
`void` | `encodeAsXML(XMLEncoder encoder)` Prints itself as XML to the provided XMLEncoder.
`int` | `getAllocationSize()`
`int` | `getInitialValue()`
`String` | `getName()`
`String` | `getSequenceName()`
`void` | `setAllocationSize(int allocationSize)`
`void` | `setInitialValue(int initialValue)`
`void` | `setName(String name)`
`void` | `setSequenceName(String sequenceName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    protected String name

### sequenceName

    protected String sequenceName

### initialValue

    protected int initialValue

### allocationSize

    protected int allocationSize

Constructor Detail

### JpaSequenceGenerator

    public JpaSequenceGenerator()

### JpaSequenceGenerator

    public JpaSequenceGenerator(javax.persistence.SequenceGenerator annotation)

Method Detail

### encodeAsXML

    public void encodeAsXML(XMLEncoder encoder)

  Description copied from interface: `XMLSerializable`
  Prints itself as XML to the provided XMLEncoder.

  Specified by:
    `encodeAsXML` in interface `XMLSerializable`

### getAllocationSize

    public int getAllocationSize()

### setAllocationSize

    public void setAllocationSize(int allocationSize)

### getInitialValue

    public int getInitialValue()

### setInitialValue

    public void setInitialValue(int initialValue)

### getName

    public String getName()

### setName

    public void setName(String name)

### getSequenceName

    public String getSequenceName()

### setSequenceName

    public void setSequenceName(String sequenceName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 Apache Cayenne. All Rights Reserved.